<?xml version="1.0" encoding="utf-8"?>
<manifest xmlns:android="http://schemas.android.com/apk/res/android"
    package="cn.muchinfo.rma">

    <uses-permission android:name="android.permission.INTERNET" />
    <uses-permission android:name="android.permission.ACCESS_NETWORK_STATE" />
    <uses-permission android:name="android.permission.ACCESS_WIFI_STATE" />
    <uses-permission android:name="android.permission.CHANGE_WIFI_STATE" />
    <uses-permission android:name="android.permission.READ_EXTERNAL_STORAGE" />

    <!-- group:android.permission-group.STORAGE 文件存储或读取组 -->
    <uses-permission android:name="android.permission.WRITE_EXTERNAL_STORAGE" />
    <uses-permission android:name="android.permission.MODIFY_AUDIO_SETTINGS" />
    <!-- group:android.permission-group.CAMERA 相机权限 -->
    <uses-permission android:name="android.permission.CAMERA" />
    <uses-permission android:name="android.permission.READ_EXTERNAL_STORAGE" />
    <uses-permission android:name="android.permission.CHANGE_NETWORK_STATE" />
    <uses-permission android:name="android.permission.NFC" />

    <uses-feature android:name="android.hardware.nfc.hce" />
    <uses-permission android:name="org.simalliance.openmobileapi.SMARTCARD" />

    <application
        android:name=".view.MyApplication"
        android:allowBackup="true"
        android:icon="@mipmap/ic_launcher"
        android:label="@string/app_name"
        android:roundIcon="@mipmap/ic_launcher"
        android:supportsRtl="true"
        android:theme="@style/Theme.RMA"
        android:usesCleartextTraffic="true">

        <activity
            android:name=".view.base.SplashActivity"
            android:configChanges="orientation|keyboardHidden|screenSize">
            <intent-filter>
                <action android:name="android.intent.action.MAIN" />

                <category android:name="android.intent.category.LAUNCHER" />
            </intent-filter>
        </activity>

        <provider
            android:name="androidx.core.content.FileProvider"
            android:authorities="cn.muchinfo.rma.fileProvider"
            android:exported="false"
            android:grantUriPermissions="true">
            <meta-data
                android:name="android.support.FILE_PROVIDER_PATHS"
                android:resource="@xml/file_paths" />
        </provider>

        <activity
            android:name=".view.MainActivity"
            android:launchMode="singleTask"
            android:screenOrientation="portrait"
            android:windowSoftInputMode="adjustPan" />

        <activity
            android:name=".view.base.login.LoginActivity"
            android:launchMode="singleTask"
            android:screenOrientation="portrait"
            android:windowSoftInputMode="adjustPan" />

        <activity android:name=".view.base.home.customerdata.CustomerDataActivity" />
        <activity
            android:name=".view.base.home.customerdata.AddCustomerDataActivity"
            android:screenOrientation="portrait"
            android:windowSoftInputMode="adjustPan" />
        <activity
            android:name=".view.base.home.customerdata.CustomerDataDetailsActivity"
            android:screenOrientation="portrait"
            android:windowSoftInputMode="adjustPan" />
        <activity
            android:name=".view.base.home.contract.ContractActivity"
            android:configChanges="orientation|keyboardHidden|screenSize" />
        <activity
            android:name=".view.base.home.contract.AddContractActivity"
            android:screenOrientation="portrait"
            android:windowSoftInputMode="adjustPan" />
        <activity
            android:name=".view.base.home.contract.ContractDetailsActivity"
            android:screenOrientation="portrait"
            android:windowSoftInputMode="adjustPan" />
        <activity
            android:name=".view.base.home.registration.SettlementRegistrationActivity"
            android:screenOrientation="portrait"
            android:windowSoftInputMode="adjustPan" />

        <activity
            android:name=".view.base.home.registration.PaymentRegistrationActivity"
            android:screenOrientation="portrait"
            android:windowSoftInputMode="adjustPan" />

        <activity
            android:name=".view.base.home.registration.MidpointsRegistrationActivity"
            android:screenOrientation="portrait"
            android:windowSoftInputMode="adjustPan" />

        <activity
            android:name=".view.base.home.registration.InvoiceRegistrationActivity"
            android:screenOrientation="portrait"
            android:windowSoftInputMode="adjustPan" />

        <activity
            android:name=".view.base.home.hedge.HedgePlanActivity"
            android:configChanges="orientation|keyboardHidden|screenSize" />

        <activity
            android:name=".view.base.home.hedge.AddHedgePlanActivity"
            android:configChanges="orientation|keyboardHidden|screenSize"
            android:screenOrientation="portrait"
            android:windowSoftInputMode="adjustPan" />

        <activity
            android:name=".view.base.home.hedge.HedgeDetailsActivity"
            android:configChanges="orientation|keyboardHidden|screenSize"
            android:screenOrientation="portrait"
            android:windowSoftInputMode="adjustPan" />

        <activity
            android:name=".view.base.home.business.BusinessManagementActivity"
            android:configChanges="orientation|keyboardHidden|screenSize" />

        <activity android:name=".view.base.home.business.MidpointsAuditActivity" />
        <activity android:name=".view.base.home.business.SettlementAuditActivity" />

        <activity android:name=".view.base.home.financial.FinancialActivity" />

        <activity android:name=".view.base.home.financial.InvoiceRegisterActivity" />

        <activity android:name=".view.base.home.financial.PaymentReviewActivity" />

        <activity
            android:name=".view.autoWidget.photopicter.PhotoPagerActivity"
            android:theme="@style/picker_photo_picker_customTheme" />
        <activity
            android:name=".view.autoWidget.photopicter.PhotoPickerActivity"
            android:theme="@style/picker_photo_picker_customTheme" />

        <activity android:name=".view.base.home.commodity.CommodityInformationActivity" />

        <activity
            android:name=".view.base.home.commodity.AddSpotGoodsActivity"
            android:screenOrientation="portrait"
            android:windowSoftInputMode="adjustPan" />

        <activity
            android:name=".view.base.home.commodity.AddHedgeGoodsActivity"
            android:screenOrientation="portrait"
            android:windowSoftInputMode="adjustPan" />
        <activity android:name=".view.base.home.tradingquery.TradingQueryActivity"/>

        <activity android:name=".view.base.home.reportquery.ReportQueryActivity"/>

        <activity android:name=".view.base.exposure.RealTimeExposureDetailsActivity"/>

        <activity android:name=".view.base.exposure.NumberExposureDetailsActivity"/>

        <activity android:name=".view.base.home.reportquery.SpotReportDetailsActivity"/>

        <activity android:name=".view.base.procurement.ContractDetailActivity"/>

        <activity android:name=".view.base.home.commodity.SpotVarietiesDetailsActivity"/>

        <activity android:name=".view.base.home.commodity.HedgeSpeciesDetailsActivity"/>

        <activity android:name=".view.base.future.trade.GoodsTradeActivity"/>

        <activity android:name=".view.base.chart.ChartActivity"
            android:screenOrientation="portrait"/>
    </application>

</manifest>